# -*- encoding: utf-8 -*-
# stub: tss 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "tss".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "yard.run" => "yri" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Glenn Rempe".freeze]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIDYDCCAkigAwIBAgIBATANBgkqhkiG9w0BAQUFADA7MQ4wDAYDVQQDDAVnbGVu\nbjEVMBMGCgmSJomT8ixkARkWBXJlbXBlMRIwEAYKCZImiZPyLGQBGRYCdXMwHhcN\nMTYxMDEzMDEzMjM5WhcNMjYxMDExMDEzMjM5WjA7MQ4wDAYDVQQDDAVnbGVubjEV\nMBMGCgmSJomT8ixkARkWBXJlbXBlMRIwEAYKCZImiZPyLGQBGRYCdXMwggEiMA0G\nCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCrEuLEy11cjgMC4+ldcgLzBrGcfWWg\nnUhdCRn3Arzo2EV1d4V4h6VOHmk4o7kumBeajUMMZ0+xKtu8euRCnbDnlxowfJvT\nS0nzsOt1dm++INeKMpZU84LuH7BbAlyL+B//l1YkI33gsbA8wm06+vV8tUEBuQch\nvBU2xrCyS2+0LQTCaCS+VvHbV97hzIwSIgUFJuFjrcnnpV8Qt1R0Bi8pzDk+2jyN\nAgxaWa41UHn70O0gFRRDGXacRpvy3HRSJrvlHPPAC02CjhKjsOLjZowaHxCv9XIJ\ntCQnVEOUUo9+owG2Gna4k4DMLIjiGChHNFXtO8WyuksukVqcsdc9kvdzAgMBAAGj\nbzBtMAkGA1UdEwQCMAAwCwYDVR0PBAQDAgSwMB0GA1UdDgQWBBR68/Ook0uwfe6t\nFbLHXIReYQ2VpzAZBgNVHREEEjAQgQ5nbGVubkByZW1wZS51czAZBgNVHRIEEjAQ\ngQ5nbGVubkByZW1wZS51czANBgkqhkiG9w0BAQUFAAOCAQEAI27KUzTE9BoD2irI\nCkMVPC0YS6iANrzQy3zIJI4yLKEZmI1jDE+W2APL11Woo5+sttgqY7148W84ZWdK\nmD9ueqH5hPC8NOd3wYXVMNwmyLhnyh80cOzGeurW1SJ0VV3BqSKEE8q4EFjCzUK9\nOq8dW9i9Bxn8qgcOSFTYITJZ/mNyy2shHs5gg0MIz0uOsKaHqrrMseVfG7ZoTgV1\nkkyRaYAHI1MSDNGFNwgURPQsgnxQrX8YG48q0ypFC1gOl/l6D0e/oF4SKMS156uc\nvprF5QiDz8HshVP9DjJT2I1wyGyvxEdU3cTRo0upMP/VZLcgyBVFy90N2XYWWk2D\nGIxGSw==\n-----END CERTIFICATE-----\n".freeze]
  s.date = "2017-01-29"
  s.description = "    Threshold Secret Sharing (TSS) provides a way to generate N shares\n    from a value, so that any M of those shares can be used to\n    reconstruct the original value, but any M-1 shares provide no\n    information about that value. This method can provide shared access\n    control on key material and other secrets that must be strongly\n    protected.\n\n    This gem implements a Threshold Secret Sharing method based on\n    polynomial interpolation in GF(256) and a format for the storage and\n    transmission of shares.\n\n    This implementation follows the specification in the document:\n\n    http://tools.ietf.org/html/draft-mcgrew-tss-03\n".freeze
  s.email = ["glenn@rempe.us".freeze]
  s.executables = ["tss".freeze]
  s.files = ["bin/tss".freeze]
  s.homepage = "https://github.com/grempe/tss-rb".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A Ruby gem implementing Threshold Secret Sharing. This code can be used in your Ruby applications or as a simple command line (CLI) executable for splitting and reconstructing secrets.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 4.0.0"])
    s.add_runtime_dependency(%q<sysrandom>.freeze, [">= 1.0.3", "~> 1.0.4"])
    s.add_runtime_dependency(%q<contracts>.freeze, ["~> 0.14"])
    s.add_runtime_dependency(%q<binary_struct>.freeze, ["~> 2.1"])
    s.add_runtime_dependency(%q<thor>.freeze, ["~> 0.19"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.13"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 11.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<coco>.freeze, ["~> 0.14"])
    s.add_development_dependency(%q<wwtd>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<yard-contracts>.freeze, ["~> 0.1"])
  else
    s.add_dependency(%q<activesupport>.freeze, [">= 4.0.0"])
    s.add_dependency(%q<sysrandom>.freeze, [">= 1.0.3", "~> 1.0.4"])
    s.add_dependency(%q<contracts>.freeze, ["~> 0.14"])
    s.add_dependency(%q<binary_struct>.freeze, ["~> 2.1"])
    s.add_dependency(%q<thor>.freeze, ["~> 0.19"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.13"])
    s.add_dependency(%q<rake>.freeze, ["~> 11.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<coveralls>.freeze, ["~> 0.8"])
    s.add_dependency(%q<coco>.freeze, ["~> 0.14"])
    s.add_dependency(%q<wwtd>.freeze, ["~> 1.3"])
    s.add_dependency(%q<yard-contracts>.freeze, ["~> 0.1"])
  end
end
